Ubuntu

X freezes when compiz is enabled on ATI X300

Reported by tamagoji on 2007-04-21
98
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Obsolete Junk
Invalid
Undecided
Unassigned
xf86-video-ati
Confirmed
Critical
xserver-xorg-video-ati (Fedora)
Invalid
Unknown
xserver-xorg-video-ati (Ubuntu)
High
Unassigned
Declined for Gutsy by Henrik Nilsen Omma
Hardy
High
Unassigned

Bug Description

i just installed the new ubuntu 7.4 on my laptop toshiba m40x with ati x300.
i've enabled desktop effects with no window wobbling and with cube rotation.
it works quite well but sometime, without any clear reason, the desktop freezes completely (happened simply moving the mouse on an icon or opening a new application):
the mouse moves but can't interact with the desktop
no chance to ctrl-alt-bksp, or to change console (ctrl-alt-f1), keyboard is not responding
i have to shout down the computer from the power button. (restarting everything works again but occasionally some new bugs appear)
Don't know how to give more informations.

there are a number of other minor but annoying bugs correlated, i don't know if they have to be posted here or in the compiz bugsite.
they happen quite frequently and are:
after maximizing a window it is not possible to unmaximize from the title bar icon (only from the bottom panel)
the number of workspaces resets to 1 and the cube is not able to rotate
some windows are not refreshed and the content is not visible (as bug 91810)
some windows are visible in every workspace
and more..

[Note]
There are numerous unrelated -ati errors that can cause freezes in X that are particular to specific hardware or usage scenarios. The original bug reporter's specific issue was resolved, so if you are also experiencing an X freeze it is probably unrelated to this bug. PLEASE REPORT YOUR ISSUE AS A SEPARATE BUG. Don't reopen or add confirmations onto this one.

Steph (stephspam) wrote :

I have the same freeze problem with Desktop effects enable (Window & cube) on a Toshiba M40 PSM42 laptop with ATI Mobility Radeon X600 SE.
Very annoying, as described above, the desktop sometimes freeze, the mouse can be moved, but nothing else worked! Keyboard is not responding, impossible to select anything on the screen with the mouse. Only solution, the power button.

Jorge García (jorgegarciar) wrote :

Hi,
     Here is exactly the same. Mine is an Acer Aspire 1652 LMI with an ATI Mobility Radeon X300. I hadn't this problem with Dapper. It's just happening with Feisty Fawn. If I stop Desktop-effects, the problem disapears. I tried to insall Beryl instead of Compiz (current desktop-effects in Feisty) and I get again the same mistake after a while (it can be 5 minutes or a whole day). It's quite anoying... and the only possible solution in press the Shutdown button cause keyboard is not woking at all (even Shift, bloq. shift, ...).

     Any clue?

Thanks.

grumpybuffalo (whozadumbstuff) wrote :

Hello,
      I have a similar problem using beryl. Oftentimes, some/all applications will not redraw, but they have not frozen. This means that if I click on the logout button, it shows nothing happening, but then if I click where the log out button *would* be, it logs out and I can log back in. If only one window is refusing to redraw, I can minimize it and unminimize to redraw it; however the problem will still be there.
      The problems stay the same when I use compiz instead of beryl. I am using an HP compaq nc6000. If anyone can figure this out, please let me know.

      Thanks,
      Grumpy Buffalo

Travis Watkins (amaranth) wrote :

All of these users have an ati card, looks like a driver issue.

Changed in compizsettings:
status: New → Invalid
Bryce Harrington (bryce) wrote :

Can you test if the issues go away when you add the following in your /etc/X11/xorg.conf?

Section "Module"
# Load "dri"
 # Load "glx"
        Disable "dri"
        Disable "glx"
EndSection

Please also attach your /var/log/Xorg.0.log.old file after restarting after experiencing a lockup.

Changed in xserver-xorg-video-ati:
status: New → Incomplete
cornelius (cornelius1) wrote :

I have the same random freeze problem with the current gutsy. It happens with desktop effects enabled within 1/2 hour of use. I am using the default "ati" open source driver. This is on an X300 Mobility Radeon. Disabling dri and glx effectively disables desktop effects and "fixes" the problem. But if I want to use compiz, the open source driver is a no go for me, which is pretty bad since fglrx has its own problems (it won't make this laptop suspend). So running compiz is not feasible on gutsy with any driver on this Dell Inspiron 6000 + X300 Mobility.

Travis Watkins (amaranth) wrote :

Can all of you having this problem attach the output of `lspci -n`?

cornelius (cornelius1) wrote :

X300 Mobility Radeon here

$ lspci -n
00:00.0 0600: 8086:2590 (rev 03)
00:01.0 0604: 8086:2591 (rev 03)
00:1d.0 0c03: 8086:2658 (rev 03)
00:1d.1 0c03: 8086:2659 (rev 03)
00:1d.2 0c03: 8086:265a (rev 03)
00:1d.3 0c03: 8086:265b (rev 03)
00:1d.7 0c03: 8086:265c (rev 03)
00:1e.0 0604: 8086:2448 (rev d3)
00:1e.2 0401: 8086:266e (rev 03)
00:1e.3 0703: 8086:266d (rev 03)
00:1f.0 0601: 8086:2641 (rev 03)
00:1f.2 0101: 8086:2653 (rev 03)
01:00.0 0300: 1002:5460
03:00.0 0200: 14e4:170c (rev 02)
03:01.0 0607: 1180:0476 (rev b3)
03:01.1 0c00: 1180:0552 (rev 08)
03:01.2 0805: 1180:0822 (rev 17)
03:03.0 0280: 8086:4223 (rev 05)

Travis Watkins (amaranth) wrote :

Sorry, I meant `lspci -vn`.

cornelius (cornelius1) wrote :

Here

cornelius (cornelius1) wrote :

Did the output help? Is this bug fixed? Is there anything else you need to know?

Thanks.

Sadly, same here...after 1 year of testing, this bug is not yet resolved... X freezes but the laptop is still alive: in fact, I can do a clean reboot with sysrq+alt+S, sysrq+alt+U and sysrq+alt+b
I will enable an ssh server on this laptop so next time I can catch the

However, this bug is really really CRITICAL!
Please blacklist this video card or (better) make up your mind and revert back the decision of leaving compiz on by default!
Just think about all the users who have an Ati Xxxx card: they will think linux (and ubuntu) is not better then windows...

Manufacturer: Acer, inc.
Product Name: TravelMate 8100
Video Card: ATI Technologies Inc Radeon Mobility X700 (PCIE)

Changed in xserver-xorg-video-ati:
status: Incomplete → Confirmed

Same problem on an IBM t43p with ATI fireGL mobility v3200. One question: to use compiz-fusion i can only rely on open source driver, if i install the restricted closed source driver i cannot use 3d effects; when i try to enable them in appearence prefs pane it says there is no compostion extension... what's wrong ?
thanks

Enryfox, i noticed the same thing: it's clearly a big design flaw...we all know that in order to have compiz working with Ati cards, the only solution is to use the open source driver but restricted manager suggests to install the ATI proprietary driver which breaks compiz!!!
I use ubuntu from warty and I think that gutsy will be the worse release ever because of the insane decision about compiz: what a pity...all the good work done will be obscured by the critical bugs created by compiz.

Technical board, please reply...

I experienced many Hard Locks on my Samsung X20 Notebook (ATI X600 Mobility).
If the opensource driver is used together with compiz-effects (Live-CD configuration), the system freezes completely after some minutes.

Disabling the effects is sufficient for stable use and installation (!) of the Live-CD!

Enryfox (enryfox) wrote :

Things are getting worst ... I have the same freezing if I start internet explorer within crossover Office 6.1. I'm using the fglrx driver latest version (gutsy updated on 1/10/07). I think it is ok if IE6 crashes, but it can't freeze Xorg !

Changed in xserver-xorg-video-ati:
status: Unknown → In Progress
Timo Aaltonen (tjaalton) on 2007-10-07
Changed in xserver-xorg-video-ati:
importance: Undecided → High

I have got the same problem on ThinkPad T43p.

Sorry, I forgot to mention the video card. Its ATI M24GL [Mobility FireGL V3200].

Michael Roy (mikemlp) wrote :

I am also experiencing freezes. See http://ubuntuforums.org/showthread.php?p=3508187#post3508187
Some users have reported that their mouse cursor still moves. Mine does not, so my symptoms appear to be slightly different. Uptime when using compiz ranges from 1 minute to 23 hours. Uptime appears to be unlimited when I use metacity only. I have been using Compiz / Beryl / Fusion for over a year, and have only experienced freezes like this in Gutsy. Will try the steps here: https://wiki.ubuntu.com/DebuggingXorg and report back.

Unlike the OP, I do not experience any of the further bugs, such as not being able to minimize windows. Additionally, I have noticed this bug in Tribe 5. I moved back to Feisty for a while, and found the same bug present in 7.10 Beta.

Limited Specs:
IBM Thinkpad T42
ATI Mobility 9600
AIGLX on Free ATI driver

Please let me know what I can do to help debug.

Michael Roy (mikemlp) wrote :

lspci -vn

So Michael Vogt has just released a new version of compiz package which blacklist some ati mobility cards (X300,X600,X700).
I think this was the right way to go since the problem cannot be easily fixed.
Thank you, Michael

compiz (1:0.6.0+git20071008-0ubuntu1) gutsy; urgency=low
 .
   * New git snapshot:
     - properly fix bug to never stack under the desktop window (LP: #147943)
     - fixes in the internal stack representation, this fixes the issue
       that sometimes windows are put over or under panel windows
   * debian/patches/026_fix_stacking:
     - dropped, now part of upstream
   * debian/patches/028_compiz_manager_blacklist:
     - blacklist ati mobility X300,X600,X700 freezes (LP: #115283)

cornelius (cornelius1) wrote :

Just wanted to add that I experienced the same X freeze (where mouse can still move) with the fglrx driver too (v8.37), with compiz enabled.

Ramesh Dharan (rrdharan) wrote :

This happens for me all the time with the Gutsy RC: screen freezes up *except* the mouse cursor, and the machine is still alive but I have to power-cycle it.

I have the same hardware as MikeMLP: T42, Mobility 9600 (M10). I'm running the stock Gutsy configuration, and free/oss ati/radeon driver, with all desktop effects enabled.

I experience the hang quite regularly with both the stock 2.6.22-14 kernel as well as my hand-built 2.6.23.1. I'm happy to run any tests or provide logs or whatever else is needed if it will help resolve this problem.

i also saw that, with moving mouse cursor on a radeon 7000/VE.
since i read about it happening when opening windows (for me it happened several times when switching workspaces, i'm using the wall desktop plugin for that, but maybe also a window was opening in the background, not sure), and since some people mentioned that increasing AGP aperture helped, i thought it might be too little texture memory to store all the windows? I tried increasing my AGP aperture in the BIOS (from 64 to 128Mb), I'll see if it helps.

Ramesh Dharan (rrdharan) wrote :

I very much doubt the AGP aperture has anything to do with it. FWIW, my AGP aperture has been at 256MB the whole time.

The crashes seem to be entirely unpredictable in nature. Several of the times it has happened, I have only had one window open, with no wobbling or cube transitions or anything else crazy going on - e.g. I was just clicking on an OK button, and it would freeze

Jens Gottfried (jug) wrote :

Happens on an X800 as well.
Freezes in different situations: opening/closing/resizing/moving windows, rotating the cube, spontaneous - it's absolutely random and I see no way to reliably reproduce this.

this is the last annoying bug for me in gutsy... ati open source driver with
9700 mobility... i want to help solving this bug, what can i do?

On 10/16/07, jug <email address hidden> wrote:
>
> Happens on an X800 as well.
> Freezes in different situations: opening/closing/resizing/moving windows,
> rotating the cube, spontaneous - it's absolutely random and I see no way to
> reliably reproduce this.
>
> --
> X freezes when compiz is enabled on ATI cards
> https://bugs.launchpad.net/bugs/108527
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Provo un intenso desiderio di rientrare nell'utero. Di chiunque (Woody
Allen)

Darth Vader: The ability to destroy a planet is insignificant next to the
power of the Force.

I have an ATI Mobility Radeon X600. I have been experiencing this problem with Compiz on Feisty - X freezing, except for mouse cursor movement and music continuing to play. Works absolutely fine with effects disabled.

I was hoping that the problem would be solved with Gutsy and Compiz-Fusion, but had my first crash after upgrading yesterday.

Is there really nothing that can be done about this??!!

Michael Roy (mikemlp) wrote :

Since posting, I have had freezes both with and without the mouse cursor still able to move. Usually, the mouse cursor is still able to move, and usually I am able to reboot with alt+sysrq rseiub. My uptime is basically unlimited with effects turned off. Since I've used Compiz for over a year without this problem, my best guess is that the bug that I am experiencing is located within the new version of X in Gutsy. I wish I could help pin it down more though.

Arngren (arngren) wrote :

From the more or less duplicate bug (#115283), I mentioned the animations plugin to be the potential cause. That would make some sense, since having "random animations for all event" enabled means the animations plugin is activated quite offent and can be responsible for these random crashes. Initially I disabled the plugin and experienced no problems, now I have tried to re-enable it and turning off the "focus animation" (by recommendation from Cornelius, thanks!) and is still not seeing any problems :-)

this trick doesn't work for me.. even disabling the focus animation it still
freeze....

On 10/18/07, Arngren <email address hidden> wrote:
>
> >From the more or less duplicate bug (#115283), I mentioned the
> animations plugin to be the potential cause. That would make some sense,
> since having "random animations for all event" enabled means the
> animations plugin is activated quite offent and can be responsible for
> these random crashes. Initially I disabled the plugin and experienced no
> problems, now I have tried to re-enable it and turning off the "focus
> animation" (by recommendation from Cornelius, thanks!) and is still not
> seeing any problems :-)
>
> --
> X freezes when compiz is enabled on ATI cards
> https://bugs.launchpad.net/bugs/108527
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Provo un intenso desiderio di rientrare nell'utero. Di chiunque (Woody
Allen)

Darth Vader: The ability to destroy a planet is insignificant next to the
power of the Force.

i've been using compiz with animations disabled for a couple of hours yesterday and it didnt't crash. earlier there was a crash after about 1 hour of usage. i'll be checking it later and report here.

Hi. I have an IBM Thinkpad T43 with an ATI Mobility Radeon X300 video card. I had this problem in Feisty, and I thought it would be fixed in Gutsy. Sadly, it was not. This is not a big deal to me, because I can live without Compiz.

But I do agree with some people here that it was an error from Ubuntu people to enable Compiz by default in Gutsy.

Yes, I do think Compiz is attractive, but it is too unstable (at least for me) for being enabled by default. It should be disabled by default, with a warning: "Compiz can hangs your system. Use it at your own risk." Allow me to say that it will not be a pleasure to hear people saying "hey, I tried that Ubuntu thing you always talk about, but it just hanged my machine like Windows do!".

I'm sending in the lspci -vn output. Please, let me know if there is anything I can do for help debugging this.

Regards,

Adrovane.

cornelius (cornelius1) wrote :

The problem might possibly be caused by the animations plugin as you have observed, since I'm doing stuff (that might be going into some very rare infinite loop) while handling the ConfigureNotify X event, which gets fired on every mouse click. But why this would only happen on this specific group of hardware and only with the open source ati driver, I'll never know (it works fine with fglrx, which was the driver I was using all along). I'll do some debugging to pin down the bug (if it's in my plugin). Luckily I'm on a Mobility X300, and I can observe the freeze.

Giuseppe Pantanetti (sep) wrote :

I have the same problem on a IBM Thinkpad T43 (Model 2668Y3U) with an ATI Radeon Mobility X300 with a fresh install of Gutsy. I had the same problem on Feisty.

I thought it was a GPU temperature issue but this not the case: I reached 67 Celsius during glxgears but I couldn't reproduce the problem. I experienced freezes when CPU and GPU temperatures were under 50 Celsius.

Disabling desktop effects resolves the problem... I'm, sadly, thinking that enabling compiz by default wasn't a brilliant idea...

I've attached my lspci -vn output.

Arngren (arngren) wrote :

In the gutsy beta RC with updates I had not experienced any problems with the Animations plugin, but now with the Gutsy released version I get freezes very often (every 20 min. or so). I have tried to disable most plugins incl. the animations plugin but the freezes persist.

The only thing that seems common in the freeze I experience is that they always seems to happen when some windows or tooltip need to be opened, so I suspect the error could be in some of the windows management plugin, just a guess. I'll try to enable / disable different plugins every time I get a freeze and see if I can pinpoint it further.

ilektron (robotoman) wrote :

I have the same freezing problem on a Dell Inpsiron 6000 with an ATI Mobility x300. Mouse is responsive, ssh still works. alt sysreq works to reboot.

I had compiz-fusion working in feisty and don't recall having these problems.

Tried the gutsy beta and system was unusable. Froze after about 5 minutes each time. The actual release isn't going much better. Think I'll try the fglrx driver. Oh, what a way to dash my hopes when I thought my gpu worked with the open source drivers.

Jens Berke (jensberke) wrote :

IBM Thinkpad R52 with X300: Gutsy Release Candidate, clean install and upgraded to all latest packages as of today.

Freezes appear as well, sometimes pretty quick after a few minutes, but at least after about 20 minutes. I use the ati open source driver. lscpi output is attached.

Remembering that the Gutsy RC *live* system seemed to work pretty well on my laptop with compiz enabled I tried that again today: I started the Gutsy 7.10 Final live system from CD and played around with compiz four more than half an hour. No freeze! Maybe that's a hint for someone?

Jens Berke (jensberke) wrote :

The previous attachment is the "lspci -n" output only. This is the right one now, sorry.

cornelius (cornelius1) wrote :

Mine takes hours to freeze, so can someone who gets quick freezes (in less than an hour), try disabling all non-crucial plugins in compiz to see if the problem persists? If it still freezes, then we can look somewhere other than the plugins. If it doesn't freeze, can you systematically enable the plugins enabled by default in gutsy (maybe doing a binary search on the set of plugins :) ) to see which plugin is the root of the problem?
Thanks.

Changed in xserver-xorg-video-ati:
status: In Progress → Incomplete
Changed in xserver-xorg-video-ati:
status: Incomplete → In Progress
Changed in xf86-video-ati:
status: Unknown → Confirmed
127 comments hidden view all 207 comments
Bryce Harrington (bryce) wrote :

@bigdoby, actually I suspect *most* people's issues reported here are unrelated bugs, and people are adding their comments here because they have symptoms that match the (generic) title of this bug. But we won't know until we see some backtraces that we can match up.

@Nick, Nervous, warmrobot, please post backtraces from your freezes and Xorg.0.log. We have more than enough confirmations so there's no need for more, unless accompanied by a backtrace. See my comment #160.

description: updated
Bryce Harrington (bryce) wrote :

As suggested by #162, I'm closing out this bug; I believe the original issue has long since been addressed, and this bug report has been just accumulating stray bugs with similar sounding symptoms. Normally not a big problem, but this bug got milestoned so it's showing up unnecessarily on the release list.

If anyone else has freezes on ATI systems with compiz enabled, please file a new bug. Don't forget to include your Xorg.0.log and a full backtrace!

Changed in xserver-xorg-video-ati:
status: Confirmed → Fix Released

i can't understand why you close this bug.. when tons and tons of people confirmed a problem of freeze with the open drivers and ATI cards, also in Hardy (personally I can only confirm it in 7.10).

the most recent would be comment #146, up-to-date as of 2008-02-21, on hardy.

and of course who cares about the problem on 7.10. but i expected that. i was at least hoping it would get some developer attention for hardy.

yes, this bug was hijacked by people having problem with proprietary ATI drivers, which have nothing to do with the problem with the open driver. but there is a problem with the open driver, at least in 7.10 (and it was fine in 7.04).

nevermind.

OK, I assume the bug to follow is now #195051. I subscribed to it now. That would mean that closing this bug is an administrative/cleanup action and that developers acknowledge that there is a bug (which there is). Fine with me then.

Giuseppe Pantanetti (sep) wrote :

I'm sorry, I agree with Emmanuel: I can't understand the closing of this bug.

Is this bug resolved? If so, why opening the new #195051 bug? Beside that, what about applying the patch for Gutsy too (maybe would be useful to anyone who can't swith to the Hardy beta or try Hardy as soon as it's released)?

If this bug isn't resolved, why closing? Where can we follow the resolution of the problem?
If there's a more specific bug, why not marking this as a duplicate?
The bug is related to ATI open source driver? Let's open a new one with "X freezes when compiz is enabled on ATI open source driver" and mark all related bugs as duplicates! The #195051 is "X freezes in drmCommandWrite() when Compiz is enabled on ATI Radeon Mobility 9600", I say: it should be marked as a duplicate.

@Bryce, You said you were "sort of able to reproduce a lockup on an ATI R350 9800 using firefox 3, without Compiz enabled...", you kill firefox3 by switching to a vt and everything comes back... I think this is not a reproduction of this bug: the system freezes with a clean install of Gutsy (and Feisty with compiz) - all of them without Firefox 3 - and it's impossible to switch to a vt... Besides that, I don't think it's a "client application" related bug: I tried to send "a SIGKILL to all my processes (using Alt-SysRq-i)" and X remained freezed.

Forlong (forlong) wrote :

I agree marking this as "Fix Released" is confusing, it should be marked as "Invalid".
See comments #143 (Bryce's) and #162 (mine) why.

There should also be a clarification in the original report why this has been closed and that the issue is not fixed.
Additionally it should state clearly what Bryce said in comment #143.
The more input the devs get the better, so everyone please do what Bryce told you there.

I'm reluctant to edit other people's reports myself, though – am I allowed to do that?

This is also in Ubuntu bug https://bugs.launchpad.net/xserver-xorg-driver-ati/+bug/195051 , which has some backtraces and additional information on the bug.

I talked with Alex at XDC2008 yesterday about this. He felt it was due to wrongly guessed registered back before the AMD documentation releases, that can now be fixed up by redoing those mappings; this is work he plans to undertake within the next 3-6 months.

Backtrace (while running Bubble3D screensaver): http://launchpadlibrarian.net/12894430/backtrace-bubble3d

Backtrace (while running Extreme Tuxracer game): http://launchpadlibrarian.net/12895009/backtrace-etracer The music continues playing, but the X screens are frozen

Backtraces (without full symbols):
* http://launchpadlibrarian.net/12863959/backtrace2
* http://launchpadlibrarian.net/12177917/Xorg-lockup.txt
* http://launchpadlibrarian.net/12172793/gdb

Sample Xorg.0.log's:
* http://launchpadlibrarian.net/12433344/Xorg.0.log
* http://launchpadlibrarian.net/12172839/Xorg.0.log

Workarounds (not widely verified):
* Option "AGPMode" "1" - but hinders performance

Frustrated by the freeze in Ubuntu Hardy (current), I decided to try Fedora 8 to see if there was any difference. In three weeks of running Fedora 8 with Compiz enabled, I have yet to see the freeze. The Fedora version of the driver is also 6.8.0-1, although I have no idea if they've modified it in any way. Has this bug been confirmed on any distributions other than Ubuntu 7.10 and 8.04?

I'm also having this same problem on my hardy heron installation. It's upto date at time of writing and uses an ATI Radeon 9800pro and the opensource ATI driver.

It will seemingly randomly lockup everything is unresponsive apart from the mouse cursor, i have accessed the computer in this state as SSH seems to still work and running the top command shows compiz.real using up all available cpu and using sudo kill -9 i'm able to regain use of that pc again (just loosing the window decorations).
If there is anything needed to further aid the resolution of this bug please ask and i can try to help (but with the freezes being quite random and my time limited i might not be able to check this report to regularly).

PS: I'm currently only assuming this issue is related to the driver, it could be compiz itself but reading this bug description and the related launchpad.net bug it seems more likely my problem is the same as described here.

(In reply to comment #5)
> Has this bug been confirmed on any distributions other than Ubuntu 7.10 and
> 8.04?
>
I was able to reproduce this bug on Debian sid (xserver-xorg-video-ati 1:6.8.0) and Arch Linux (xf86-video-ati 6.8.0).

Blido (inseyn) wrote :
Download full text (44.3 KiB)

Doesn't know if this helps:

This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.

X.Org X Server 1.4.0.90
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux Ubuntu (xorg-server 2:1.4.1~git20080131-1ubuntu9)
Current Operating System: Linux stefan-laptop 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686
Build Date: 15 April 2008 05:26:17PM

 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Apr 23 18:43:45 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) | |-->Monitor "Configured Monitor"
(**) | |-->Device "Configured Video Device"
(**) |-->Input Device "Synaptics Touchpad"
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified. Using compiled-in default.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
 Entry deleted from font path.
(==) FontPath set to:
 /usr/share/fonts/X11/misc,
 /usr/share/fonts/X11/100dpi/:unscaled,
 /usr/share/fonts/X11/75dpi/:unscaled,
 /usr/share/fonts/X11/Type1,
 /usr/share/fonts/X11/100dpi,
 /usr/share/fonts/X11/75dpi,
 /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(==) |-->Input Device "<default pointer>"
(==) |-->Input Device "Generic Keyboard"
(==) The core pointer device wasn't specified explicitly in the layout.
 Using the default mouse configuration.
(==) The core keyboard device wasn't specified explicitly in the layout.
 Using the first keyboard device.
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x81dc500
(II) Module ABI versions:
 X.Org ANSI C Emulation: 0.3
 X.Org Video Driver: 2.0
 X.Org XInput driver : 2.0
 X.Org Server Extension : 0.3
 X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
 compiled for 1.4.0.90, module version = 1.0.0
 ABI class: X.Org Video Driver, version 2.0
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 1002,5950 card 1025,0080 rev 01 class 06,00,00 hdr 00
(II) PCI: 00:02:0: chip 1002,5a34 card 0000,0000 rev 00 class 06,04,00 hdr 01
(II) PCI: 00:06:0: chip 1002,5a38 card 0000,0000 rev 00 class 06,04,00 hdr 01
(II) PCI: 00:07:0: chip 1002,5a39 card 0000,0000 rev 00 class 06,04,00 hdr 0...

Changed in xserver-xorg-video-ati:
status: Fix Released → Confirmed

I try this morning and the problem is still there. Freeze after some time of using compiz.

Andi (pfannschmidt) wrote :

I've got the same Problems.

See:

https://bugs.launchpad.net/bugs/219993

I confirm this problem with my Gateway with ATI X600.

I solve my problem using:

Section "Device"
    Driver fglrx
    Option "VideoOverlay" "on"
    Option "OpenGLOverlay" "off"

Please ignore my last email,

After 26 hours my notebook freezed. So this Options didn´t have efect.

Bryce Harrington (bryce) wrote :

Re-closing bug. Guys, the problem here is that the original bug report was labeled with a generic title that described a symptom - "X freezes with compiz" - that is common to many, many different bugs. A lot of different kinds of coding errors in the -ati driver lead to X freezes when using composited functionalities, often these are particular to a given driver model, or to a specific user action or condition.

I talked about the compiz-related crashes with Alex Deucher at XDC2008 the other week, and he gave some additional detail. Long ago before ATI released their documentation, developers simply had to make guesses about what registers on different ATI cards mapped to functionality-wise. By and large these guesses were wrong, with the result that the driver is riddled with mis-mapped registers, which will result in a wide range of different kinds of bugs on different cards. The good news is that now that docs are available, these issues can be investigated one by one and sorted out through reference to the documentation.

These different bugs can have seemingly the same result - a frozen or crashed X. This particular bug report was titled in such a way that all these bugs have gotten lumped together, even though they almost certainly have nothing at all to do with one another. I've heard this referred to as a "confirm storm" - so many people reporting they have the "same" issue, that it actually becomes difficult to figure out what the problems are. Also, many times commenters will believe they have the problem (when they don't, and instead have a unique problem) and unfortunately decide not to leave any details, believing that others have already given enough info and that once the original bug is fixed, their problem will go away too; yet without those details it's impossible for anyone to determine if they had the original bug or something unique, and makes it impossible to troubleshoot their issue - thus their problem receives no attention and unfortunately remains unfixed.

This is why we so strongly encourage each person to report their issue separately. It aids in tracking, so even if you do have exactly the same bug as person A, we can handle it by duping your bug report to theirs; some times it turns out that it really is not a dupe, and this lets us easily un-dupe the bug and treat it normally.

Furthermore, the way we can get these bugs fixed is through forwarding them upstream. To get them closed most efficiently, the reports need to be clear, complete, and specific. A bug report like this one (108527) with a jumble of different reporters, incomplete information, and likely a combination of different issues, would not be accepted by them.

So, in reality, having this bug open may actually *hinder* getting the issues resolved, for all of the above reasons. Please do not reopen this bug or add comments if you're having an X freeze - open a new bug. If you've already opened a bug but it's not getting attention, please be patient, we have a lot of bugs to go through but we do intend to get to all of them. De-blacklisting ATI in compiz is a high priority for Intrepid.

Changed in xserver-xorg-video-ati:
status: Confirmed → Fix Released
Bryce Harrington (bryce) on 2008-04-30
description: updated
Bryce Harrington (bryce) on 2008-04-30
Changed in xserver-xorg-video-ati:
status: Confirmed → Invalid

Do either of the following options help?

Option "BusType" "PCI"
Option "AGPMode" "1"

I flipped on EXA last night, and it seems to have solved the issue (that or some Ubuntu bug pushes). Anyway, here's my relevant information:

Ubuntu Hardy Heron 8.04 (fully updated)

uname -r: 2.6.24-16-generic

dpkg -l | grep xserver-xorg-video-ati:
ii xserver-xorg-video-ati 1:6.8.0-1 X.Org X server -- ATI display driver

Xserver version: 1.4.0.90

I'm running an ATI FireGL v3200 (M24 GL 3154 PCIE) on a Thinkpad T43p. The relevant part of my xorg.conf is:

Section "Device"
        Identifier "ATI Technologies Inc M24GL [Mobility FireGL V3200]"
        Driver "radeon"
        VendorName "IBM ThinkPad"
        Option "DynamicClocks" "on"
        Option "XAANoOffscreenPixmaps" "true"
        Option "AddARGBGLXVisuals" "true"
        Option "AccelMethod" "EXA"
        Option "RenderAccel" "true"
        Option "EnablePageFlip" "true"
        Option "ColorTiling" "on"
        BusID "PCI:1:0:0"
EndSection

The only thing I've changed myself is that I added AccelMethod EXA yesterday, and its hte first time I've gone more than 24 hours without Compiz causing a hardlock.

Hope that helps...

(In reply to comment #10)
> Do either of the following options help?
>
> Option "BusType" "PCI"
> Option "AGPMode" "1"
>

Both seem to work around the freeze. At least after a quick tuxracer test.

"BusType" "PCI" is painfully slow, though.

"AGPMode" "1" results in a somewhat playable tuxracer (but then again, the radeon driver never worked for me satisfactorily when it comes to 3D games) -- I don't have anything to compare, though, because without the option, it (still) freezes instantly.

I just did another test, where I replaced

 Option "AGPMode" "1"

with

 Option "DynamicClocks" "on"
 Option "XAANoOffscreenPixmaps" "true"
 Option "AddARGBGLXVisuals" "true"
 Option "AccelMethod" "EXA"
 Option "RenderAccel" "true"
 Option "EnablePageFlip" "true"
 Option "ColorTiling" "on"

and tuxracer immediately froze again.

Maybe I shouldn't have copied *all* of Matt's options but frankly I'm not in the mood for any more trial and error.
But Alex, if you need me to do any further testing, just ask.

I will stick to "AGPMode" "1" for now and report back if I stumble across any issues.

Sorry for the multiple posts but I just did another test where I only used

 Option "AccelMethod" "EXA"

because it was recommended in my report over at Launchpad.

The result was a much more fluent tuxracer that was actually playable.
The downside however, is a much slower 2D rendering. For example when moving a window over an area of the desktop with icons, the background flickers.
Also moving a window from one viewport to another on Compiz will result in a pretty rough transition.

It would be great if we could have the best of both worlds.
Adding both options unfortunately doesn't do the trick.

(In reply to comment #14)
> Sorry for the multiple posts but I just did another test where I only used
>
> Option "AccelMethod" "EXA"
>
> because it was recommended in my report over at Launchpad.
>
> The result was a much more fluent tuxracer that was actually playable.
> The downside however, is a much slower 2D rendering. For example when moving a
> window over an area of the desktop with icons, the background flickers.
> Also moving a window from one viewport to another on Compiz will result in a
> pretty rough transition.
>
> It would be great if we could have the best of both worlds.
> Adding both options unfortunately doesn't do the trick.
>

EXA preforms pretty well with the latest ati driver from git a recent X server.

The root of this problem in your case is that AGP sucks. There are just too many combinations of agp cards and chipsets that only work at specific settings (some only work at 1x, others only work at 4x or 8x, etc.). We've tried both defaults in the driver, but someone's combination always breaks.

Changed in xserver-xorg-video-ati:
status: In Progress → Invalid

I am on the beta of Ubuntu 9.10 (Karmic) and I'm glad to tell you this issue seems to be gone for good.
I did not need to create a xorg.conf and set something manually this time.
Compiz works out of the box and does not cause X to freeze.

I even tried running "Extreme Tuxracer" and while the game runs horribly slow, it does not freeze.

According to my Xorg.0.log, I am using the radeon driver so I consider this fixed.
Thank you.

Sorry, I obviously spoke too soon. After a couple of days without a problem, X froze just now using Openoffice (and Compiz enabled).

reopening...

Changed in xf86-video-ati:
importance: Unknown → Critical
1 comments hidden view all 207 comments

Is this still an issue with kms or a newer version of the driver?

(In reply to comment #18)
> Is this still an issue with kms or a newer version of the driver?

I still experience hard systen freezes with latest drivers. Only workaround
is to disable AGP completely (radeon.agpmode=-1). Starting KDE4 with OpenGL
compositing enabled freezes the system every time; with firefox it takes a while. This started happening with xf86-video-ati git releases around mid-april 2008, with and without KMS. (Mobility 9700, intel 855PM).

This may be a duplicate of bug 28402

Changed in xf86-video-ati:
importance: Critical → Unknown
Changed in xf86-video-ati:
importance: Unknown → Critical

I also experienced random freezes after a 3d application ran, but only with kernels newer than 2.6.33. The solution was to change preemption model from preemptible kernel to voluntary kernel preemption. Might this be related?

3 comments hidden view all 207 comments
nfsd (in4mer+launchpad) wrote :

This is present in 12.04 as of 12/18/2012, current on all Ubuntu updates.

Mouse moves, mouse cursor changes as movement across existing (but non-redrawn) window borders, buttons, etc. Clicking causes normal behavior (besides the window not redrawing).

Moving a window will cause all mouse cursor change functionality to stop.

This normally happens after my monitors go into ACPI power save mode. Screensaver is disabled.

Radeon 6950. Two of them, though only one is usable in this marginal OS.

4 comments hidden view all 207 comments

I can confirm that this has been happening on Ubuntu 12.04 as of 12/17/2012.

This usually occurs using compiz when the monitors go into ACPI power save mode. This occurs using both the open source ATI driver, and fglrx.

(In reply to comment #22)
> This usually occurs using compiz when the monitors go into ACPI power save
> mode.

If it only happens at DPMS power save, it's probably not this bug but bug 49761.

(In reply to comment #24)
> Nope, don't think so

Why not? Have you tried the fix for that?

As I said earlier, it happens identically with both fglrx and xorg-video-ati. If a patch to xorg-video-ati fixes a bug while using fglrx, that would be surprising indeed.

(In reply to comment #26)
> As I said earlier, it happens identically with both fglrx and
> xorg-video-ati. If a patch to xorg-video-ati fixes a bug while using fglrx,
> that would be surprising indeed.

Does the patch for xf86-video-ati fix xf86-video-ati?

(In reply to comment #26)
> If a patch to xorg-video-ati fixes a bug while using fglrx, that would be
> surprising indeed.

The component field of this report says Radeon. It's unlikely for fglrx and radeon to be affected by one and the same bug. It's possible that fglrx has a similar bug though.

nfsd (in4mer+launchpad) wrote :

Does not appear to exist in 12.10/3.5.0-21-generic, either using radeon or fglrx.

As I've upgraded, I won't be available for further testing.

BTW, IIRC this issue started at 3.2.0-30, and -29 was okay. HTH. (radeon)

Displaying first 40 and last 40 comments. View all 207 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.